Package org.mariadb.jdbc.message.server

## Class InitialHandshakePacket

- java.lang.Object
- - org.mariadb.jdbc.message.server.InitialHandshakePacket

All Implemented Interfaces:
  `ServerMessage`

    public final class InitialHandshakePacket
    extends Object
    implements ServerMessage

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static InitialHandshakePacket` `decode​(org.mariadb.jdbc.client.ReadableByteBuf reader)`
`String` `getAuthenticationPluginType()`
`long` `getCapabilities()`
`short` `getDefaultCollation()`
`byte[]` `getSeed()`
`short` `getServerStatus()`
`long` `getThreadId()`
`org.mariadb.jdbc.client.ServerVersion` `getVersion()`
`boolean` `isMariaDBServer()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### decode

    public static InitialHandshakePacket decode​(org.mariadb.jdbc.client.ReadableByteBuf reader)

#### getVersion

    public org.mariadb.jdbc.client.ServerVersion getVersion()

#### getThreadId

    public long getThreadId()

#### getSeed

    public byte[] getSeed()

#### getCapabilities

    public long getCapabilities()

#### getDefaultCollation

    public short getDefaultCollation()

#### getServerStatus

    public short getServerStatus()

#### isMariaDBServer

    public boolean isMariaDBServer()

#### getAuthenticationPluginType

    public String getAuthenticationPluginType()